Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrAnd

    java.lang.Object
      org.modeshape.graph.query.model.And
          org.modeshape.jcr.query.qom.JcrAnd

All Implemented Interfaces:
  Serializable, And, Constraint, LanguageObject, Visitable, JcrConstraint

    public class JcrAnd

extends And
implements And, JcrConstraint

Implementation of the 'and' constraint for the JCR Query Object Model and the Graph API.

See Also:
  Serialized Form

Constructor Summary
`JcrAnd(JcrConstraint left, JcrConstraint right)`

Method Summary
`JcrConstraint` | `getConstraint1()`
`JcrConstraint` | `getConstraint2()`
`JcrConstraint` | `left()` Get the constraint that is on the left-hand-side of the AND operation.
`JcrConstraint` | `right()` Get the constraint that is on the right-hand-side of the AND operation.

Methods inherited from class org.modeshape.graph.query.model.And
`accept, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrAnd

    public JcrAnd(JcrConstraint left,
                  JcrConstraint right)

Parameters:
  `left` -
  `right` -

Method Detail

### left

    public JcrConstraint left()

  Get the constraint that is on the left-hand-side of the AND operation.

  Overrides:
    `left` in class `And`
  Returns:
    the left-hand-side constraint
  See Also:
    `And.left()`

### right

    public JcrConstraint right()

  Get the constraint that is on the right-hand-side of the AND operation.

  Overrides:
    `right` in class `And`
  Returns:
    the right-hand-side constraint
  See Also:
    `And.right()`

### getConstraint1

    public JcrConstraint getConstraint1()

  Specified by:
    `getConstraint1` in interface `And`
  See Also:
    `And.getConstraint1()`

### getConstraint2

    public JcrConstraint getConstraint2()

  Specified by:
    `getConstraint2` in interface `And`
  See Also:
    `And.getConstraint2()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.